#
# spec file for package python-setuptools-git
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-setuptools-git
Version:        1.2
Release:        4.7
Summary:        Setuptools revision control system plugin for Git
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/wichert/setuptools-git
Source:         https://files.pythonhosted.org/packages/source/s/setuptools-git/setuptools-git-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  git-core
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This is a plugin for setuptools that enables git integration. Once
installed, Setuptools can be told to include in a package distribution
all the files tracked by git. This is an alternative to explicit
inclusion specifications with MANIFEST.in.

This package was formerly known as gitlsfiles. The name change is the
result of an effort by the setuptools plugin developers to provide a
uniform naming convention.

%prep
%setup -q -n setuptools-git-%{version}

%build
%python_build

%install
%python_install

%check
export LANG=en_US.UTF-8
# configure git for the test
git config --global user.email "test@test.test"
git config --global user.name "test"
%pyunittest discover -v

%files %{python_files}
%license LICENSE.txt
%doc AUTHORS.txt README.rst TODO.txt
%{python_sitelib}/*

%changelog
* Tue May  9 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Wed Sep  8 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug 31 2017 toddrme2178@gmail.com
- update to version 1.2:
  * no changelog available
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Sat May 16 2015 p.drouand@gmail.com
- Remove obsolete hacks of when python2 and 3 specfiles where in the
  place
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 1.1:
  * no changelog available
- add test dependency git-core
- run the tests during build
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Apr 12 2013 toddrme2178@gmail.com
- Added requires and buildrequires python3.  It will not work
  properly without them on openSUSE < 12.3
- Cleanup some macros
* Mon Jan 21 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Jan 14 2013 alexandre@exatati.com.br
- Update to 1.0b1:
  - Sorry, no changelog.
* Mon Nov 19 2012 cfarrell@suse.com
- license update: SUSE-Public-Domain
  SPDX format (or SUSE version thereof)
* Tue May  3 2011 alexandre@exatati.com.br
- Update to 0.4.2:
  - Sorry, no changelog.
- Package renamed from python-setuptools_git to
  python-setuptools-git.
* Thu Aug 13 2009 alexandre@exatati.com.br
- Initial package (0.3) for openSUSE.
